﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS6k (1 yr) Crosstalk 1.5 GHz IEEE/9500+5Ch+G3
INSTRUMENT:            Sub Tek TDS6k (1 yr) Crosstalk 4 GHz IEEE /9500+5Ch+G3
DATE:                  2018-09-10 11:24:33
AUTHOR:                Fluke
REVISION:              $Revision: 24950 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       80
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Fluke 9560 on channel 5
=============================================================================
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Use CH 5 9560 Active Head.
  1.001  M9500                       CH5

  1.002  JMPL         CROSSTALK_1.5GHZ             PSUB("1.5 GHz")
  1.003  JMPL         CROSSTALK_4.0GHZ             PSUB("4 GHz")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment test number

# =====  Sub Tek TDS6k (1 yr) Crosstalk 1.5 GHz IEEE/9500+5Ch+G3  ============

  2.001  LABEL        CROSSTALK_1.5GHZ
  2.002  HEAD         CROSSTALK
  2.003  RSLT         =
  2.004  HEAD         -2{CH [M100] to [M104]: 1.5 GHz, [S20]}
  2.005  TARGET
  2.006  IEEE         SELECT:CH[M104] ON
  2.007  IEEE         MEASU:IMMED:TYPE AMPLITUDE;SOURCE CH[M104]
  2.008  MATH         MEM = M[200] * 10
  2.009  9500         Vpp                          1.5GH          LS    S  L
  2.010  MATH         @Cmd = "ACQUIRE:STATE RUN"
  2.011  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  2.012  JMPL         END                          @Abort
  2.013  IEEE         MEASU:IMM:VAL?[I]
# Convert voltage amplitude to divisions.
  2.014  MATH         MEM = MEM / M[200]
  2.015  MATH         MEM2 = FMT(MEM, "%5.3f")
  2.016  EVAL   -e MEM <= 0.125 : [32][MEM2] divisions, Bound: <= 0.125

  3.001  HEAD         -2
  3.002  9500         *                                                 S
  3.003  IEEE         SELECT:CH[M104] OFF
  3.004  HEAD
  3.005  END

  3.006  EVAL   Increment test number

# =====  Sub Tek TDS6k (1 yr) Crosstalk 4 GHz IEEE /9500+5Ch+G3  =============

  4.001  LABEL        CROSSTALK_4.0GHZ
  4.002  HEAD         CROSSTALK
  4.003  RSLT         =
  4.004  RSLT         =CH [M100] to [M104]: 4 GHz, [S20]
  4.005  HEAD         -2{CH [M100] to [M104]: 4 GHz, [S20]}
  4.006  TARGET
  4.007  IEEE         SELECT:CH[M104] ON
  4.008  IEEE         MEASU:IMMED:TYPE AMPLITUDE;SOURCE CH[M104]
  4.009  MATH         MEM = M[200] * 10
  4.010  9500         Vpp                          4GH            LS    S  L
  4.011  MATH         @Cmd = "ACQUIRE:STATE RUN"
  4.012  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  4.013  JMPL         END                          @Abort
  4.014  IEEE         MEASU:IMM:VAL?[I]
# Convert voltage amplitude to divisions.
  4.015  MATH         MEM = MEM / M[200]
  4.016  MATH         MEM2 = FMT(MEM, "%5.3f")
  4.017  EVAL   -e MEM <= 0.5 : [32][MEM2] divisions, Bound: <= 0.5

  5.001  LABEL        END
  5.002  HEAD         -2
  5.003  9500         *                                                 S
  5.004  IEEE         SELECT:CH[M104] OFF
  5.005  HEAD
  5.006  END
